function p.get_mesh()
    return "trophy"
end

function p.payload(level, bp)
    local name = "emerald"
    game_trophy.pickup(name)
    game_bent.remove_perm(level, bp)
end

function p.get_touch_dist()
    local dist = ga_get_f("xar.normal_bent_touch_dist")
    return dist
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Trophy"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end

function p.on_touch(level, bp)
    p.payload(level, bp)
end

function p.on_telekinesis(level, bp)
    p.payload(level, bp)
end
